|  | Home | Documentation | xenc__EncryptionMethodType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
xenc__EncryptionMethodType Struct Reference

"http://www.w3.org/2001/04/xmlenc#":EncryptionMethodType is a complexType. More...

`#include <xenc.h>`

Collaboration diagram for xenc__EncryptionMethodType:
[legend]

## Public Attributes

int * | KeySize
| Element KeySize of type "http://www.w3.org/2001/04/xmlenc#":KeySizeType.
char * | OAEPparams
| Element OAEPparams of type xs:base64Binary.
char * | Algorithm
struct ds__DigestMethodType * | ds__DigestMethod
| Member declared in WS/WS-typemap.dat.
_XML | __mixed
| Catch mixed content in XML string.

## Detailed Description

"http://www.w3.org/2001/04/xmlenc#":EncryptionMethodType is a complexType.

## Member Data Documentation

## ◆ __mixed

_XML xenc__EncryptionMethodType::__mixed

Catch mixed content in XML string.

TODO: this mixed complexType is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element).

## ◆ Algorithm

char* xenc__EncryptionMethodType::Algorithm

TODO: <any namespace="##other" minOccurs="0" maxOccurs="unbounded"> TODO: Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this element. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element). Attribute Algorithm of type xs:anyURI. Required attribute.

## ◆ ds__DigestMethod

struct ds__DigestMethodType* xenc__EncryptionMethodType::ds__DigestMethod

Member declared in WS/WS-typemap.dat.

## ◆ KeySize

int* xenc__EncryptionMethodType::KeySize

Element KeySize of type "http://www.w3.org/2001/04/xmlenc#":KeySizeType.

Optional element.

## ◆ OAEPparams

char* xenc__EncryptionMethodType::OAEPparams

Element OAEPparams of type xs:base64Binary.

Optional element.

The documentation for this struct was generated from the following file:

- xenc.h